View Issue Details

IDProjectCategoryView StatusLast Update
0017782mantisbtplug-inspublic2015-03-15 19:58
ReportergrangewayAssigned Tovboctor 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version1.3.0-beta.2Fixed in Version1.3.0-beta.2 
Summary0017782: New Event: EVENT_MANAGE_VERSION_DELETE
Description

Add an event to allow tracking of version deletions

This could be used to allow synchronisation with a 3rd party system, to deny
the deletion of specific versions, or to provide auditing/event
logging.

Tagspatch

Relationships

related to 0017783 closedvboctor New Event: EVENT_MANAGE_PROJECT_DELETE 

Related Changesets

MantisBT: master 23aecac3

2014-10-17 14:14:48

Paul Richards


Committer: vboctor Details Diff
Fixes 0017783: New Event: EVENT_MANAGE_VERSION_DELETE

Add new event: EVENT_MANAGE_VERSION_DELETE

These events allow plugins to log or 'block' a version or project deletion,
as they occur prior to any version or project deletion.

This could be used to allow synchronisation with a 3rd party system, to deny
the deletion of specific projects/versions, or to provide auditing/event
logging.
mod - core/events_inc.php Diff File
mod - core/version_api.php Diff File
mod - docbook/Developers_Guide/en-US/Events_Reference_Manage.xml Diff File

MantisBT: master a01f2d00

2015-02-20 23:56:25

vboctor

Details Diff
Text week for EVENT_MANAGE_VERSION_DELETE docs
mod - docbook/Developers_Guide/en-US/Events_Reference_Manage.xml Diff File

Issue History

Date Modified Username Field Change
2014-10-16 15:10 grangeway New Issue
2014-10-17 04:47 dregad Severity minor => feature
2014-10-17 04:47 dregad Product Version 1.3.0-beta.1 =>
2014-10-17 14:10 grangeway Assigned To => grangeway
2014-10-17 14:10 grangeway Status new => assigned
2014-10-27 12:56 vboctor Note Added: 0041685
2014-10-27 12:56 vboctor Tag Attached: patch
2014-10-27 12:59 vboctor Assigned To grangeway => vboctor
2014-12-08 02:10 atrol Target Version 1.3.0-beta.1 => 1.3.0-beta.2
2015-02-19 12:19 vboctor Note Added: 0048877
2015-02-21 00:00 vboctor Relationship added related to 0017783
2015-02-21 00:00 vboctor Status assigned => resolved
2015-02-21 00:00 vboctor Resolution open => fixed
2015-02-21 00:00 vboctor Fixed in Version => 1.3.0-beta.2
2015-02-21 00:01 vboctor Changeset attached => MantisBT master a01f2d00
2015-02-21 00:02 vboctor Changeset attached => MantisBT master 23aecac3
2015-03-02 08:04 vitsaadmin Issue cloned: 0019422
2015-03-15 19:58 dregad Status resolved => closed